Subject: RE: How to build X11R6.1 libraries with gnu-win32 beta 17
From: [email-masked] (Timothée Royer)

17 Mar 1997 00:44:54 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: Sergey Okhapkin <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

Hi,

I'm reposting emails that I exchanged with Sergey Okhapkin concerning
X11R6.1 with which I'm having troubles, follwing messages concerning
similar problems.

I tried removing <CR> from files but it did not do anything.  I'm afraid I
don't have
the right version of your patch?  I tried also to mount my volume in binary
mode,
but it did not help.
I tried to change the version of tar to use: guntar, or winzip, and I did
not get
the same errors.  Which version of tar and gwip should I use?  (cf problems
with cygwin
if their tar.exe is not used ...)

Could you point me to the newest version of your patch, or remail it to the
mailing list ?
Did anybody else got similar problems ?

Sincerely,

Guillaume.

At 22'54 12/03/97 +0300, you wrote:
>Guillaume Berche wrote:
>> ./config/imake/imake -I./config/cf  -s ./config/makedepend/Makefile.proto
>> -f ./c
>> onfig/makedepend/Imakefile -DTOPDIR=../.. -DCURDIR=./config/makedepend
>> In file included from config/cf/cygwin32.cf:114,
>>                  from config/cf/Imake.tmpl:82,
>>                  from Imakefile.c:3:
>> config/cf/cygwin32.rules:41: `#' operator should be followed by a macro
>> argument
>>  name
>
>It seems to me, it's <cr><lf> problems. I'm using binary-mode mounts and 
>all files have single <lf> as line separator. Try to remove all <cr>'s from 
>cygwin32.cf, cygwin32.rules and cygwin32.tmpl.
>
>--
>Sergey Okhapkin
>Moscow, Russia
>Looking for a job
>
>

Sergey,

I read with strong interest you mail to the cygnusWin32 mailing list, and
tried to follow your directions,
but I'm running into a few problems: 
I have installed gnu-win32 beta 17 following the directions.
Here is my env variables

COMPUTERNAME=A2JANNT
COMSPEC=C:\WINNT\system32\cmd.exe
CPLUS__INCLUDE_PATH=/usr/include/g++:
CVSROOT=C:/users/default/.cvsroot
C_INCLUDE_PATH=/usr/include
DISPLAY=:0.0
EDITOR=c:/Program Files/gnu/emacs-19.34/bin/runemacs.exe
GCC_EXEC_PREFIX=c:\cygnus\H-i386-cygwin32\lib\gcc-lib\
HISTCONTROL=ignoreboth
HISTFILESIZE=0
HISTSIZE=100
HOME=C:/users/default
HOMEDRIVE=c:
HOMEPATH=\users\gbe
HOSTTYPE=i386
HUGSPATH=/usr/local/lib/hugs/;/usr/local/lib/hugs/demos/
IMAKECPP=c:/cygnus/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-96
1023/cpp
INCLUDE=c:\msdev\include;c:\msdev\mfc\include;C:\TGSOIV2.2.1\include
LESS=eMws
LIB=c:\msdev\lib;c:\msdev\mfc\lib;c:\Program
Files\exceed.nt;C:\TGSOIV2.2.1\lib
LIBRARY_PATH=/usr/lib
MAIL=/home/mulga/staff/jal/Mail/jal
MIRA_ED=c:/Program Files/gnu/emacs-19.34/bin/runemacs.exe
MSDEVDIR=C:\MSDEV
NCDIR=C:\NuTC
NUMBER_OF_PROCESSORS=2
OIVHOME=C:\TGSOIV2.2.1
OS2LIBPATH=C:\WINNT\system32\os2\dll;
OS=Windows_NT
OSTYPE=win32
PAGER=/usr/local/bin/less
PATH=/usr/H-i386-cygwin32/bin:/NuTC/mksnt:/WINNT/System32:/WINNT:/Program
Files/exceed.nt:/Program
Files/gnu/emacs-19.34/bin/:/TGSOIV2.2.1/Program:/TGSOIV2.2.1/Doc:/MSDEV/BIN:
/Pure/Purify:/Pure/Purify/Cache:.
PGPPATH=C:/users/default/.pgp
PID=1299
PRINTER=lw.134
PROCESSOR_ARCHITECTURE=x86
PROCESSOR_IDENTIFIER=x86 Family 6 Model 1 Stepping 9, GenuineIntel
PROCESSOR_LEVEL=6
PROCESSOR_REVISION=0107
PROCMAIL_LOG=/home/mulga/staff/jal/procmail/log
PS1=[\h] \W />
PS2=> 
PS3=Please select one of the options: 
PS4=+ /usr/H-i386-cygwin32/bin/bash.exe:24 
PURIFYPATH=C:\Pure\Purify;C:\Pure\Purify\Cache
ROOTDIR=C:/NuTC
SHELL=/bin/bash
SHLVL=1
SYSTEMDRIVE=C:
SYSTEMROOT=C:\WINNT
TEMP=C:\TEMP
TERM=dumb
TMP=C:\TEMP
TMPDIR=C:/TEMP
USERDOMAIN=A2JANNT
USERNAME=Administrateur
USERPROFILE=C:\WINNT\Profiles\Administrateur
WINDIR=C:\WINNT
_=/usr/H-i386-cygwin32/bin/env.exe

I am having the following problems when trying to run "make -i World":

1) I modified xc/config/imake/Makefile.ini: CC=gcc otherwise cc was run by
default
2) I got the following msg
imake: no such file or directory: Cannot exec /lib/cpp. Stop.
so I did:
export
IMAKECPP=c:/cygnus/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-96
1023/cpp
which seemed to fix it
3) At this point, it's getting more difficult for me to understand what's
going on:

[A2JANNT] xc />make -i World

result is following:
--------------------------------------------------------
[A2JANNT] xc />make -i World

Building Release 6.1 of the X Window System.

I hope you checked the configuration parameters in ./config/cf
to see if you need to pass BOOTSTRAPCFLAGS.

Wed Mar 12 11:45:24 GMT--1:00 1997

cd ./config/imake && make -i -f Makefile.ini BOOTSTRAPCFLAGS="" clean
rm -f ccimake imake.o imake
rm -f *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a tags TAGS make.log \#*
rm -f -r Makefile.proto Makefile Makefile.dep bootstrap
make -i Makefile.boot
cd ./config/imake && make -i -f Makefile.ini BOOTSTRAPCFLAGS=""
making imake with BOOTSTRAPCFLAGS=
gcc -c  -O -I../../include `./ccimake` imake.c
gcc -o imake imake.o
rm -f ./config/makedepend/Makefile.proto
../config/imake/imake -I./config/cf  -s ./config/makedepend/Makefile.proto
-f ./c
onfig/makedepend/Imakefile -DTOPDIR=../.. -DCURDIR=./config/makedepend
In file included from config/cf/cygwin32.cf:114,
                 from config/cf/Imake.tmpl:82,
                 from Imakefile.c:3:
config/cf/cygwin32.rules:41: `#' operator should be followed by a macro
argument
 name
In file included from config/cf/Imake.tmpl:1120,
                 from Imakefile.c:3:
config/makedepend/Imakefile:38: unterminated string or character constant
config/makedepend/Imakefile:11: possible real start of unterminated constant
config/makedepend/Imakefile:9: unterminated `#if' conditional
../config/imake/imake: Exit code 33.  Stop.
make: [config/makedepend/Makefile.proto] Error 1 (ignored)
cd ./config/makedepend && rm -f -r Makefile Makefile.dep makedepend *.o
bootstra
p
cd ./config/makedepend && make -f Makefile.proto bootstrap
Makefile.proto:5: *** missing separator.  Stop.
make: [depend.bootstrap] Error 2 (ignored)
../config/imake/imake -I./config/cf  -s ./config/imake/Makefile.proto -f
../config
/imake/Imakefile -DTOPDIR=../.. -DCURDIR=./config/imake
In file included from config/cf/cygwin32.cf:114,
                 from config/cf/Imake.tmpl:82,
                 from Imakefile.c:3:
config/cf/cygwin32.rules:41: `#' operator should be followed by a macro
argument
 name
../config/imake/imake: Exit code 33.  Stop.
make: [config/imake/Makefile.proto] Error 1 (ignored)
cd ./config/imake && make -f Makefile.proto bootstrapdepend
Makefile.proto:5: *** missing separator.  Stop.
make: [imake.bootstrap] Error 2 (ignored)
cd ./config/imake && make -i -f Makefile.ini BOOTSTRAPCFLAGS="" bootstrap
+ /usr/H-i386-cygwin32/bin/bash.exe:24 mkdir bootstrap
mv *.o imake bootstrap
mv: cannot move `imake' to `bootstrap/imake': No such file or directory
make: [bootstrap] Error 1 (ignored)
cd ./config/imake && make -f Makefile.proto all
Makefile.proto:5: *** missing separator.  Stop.
make: [imake.bootstrap] Error 2 (ignored)
+ /usr/H-i386-cygwin32/bin/bash.exe:24 rm -f xmakefile.bak
+ /usr/H-i386-cygwin32/bin/bash.exe:24 mv xmakefile xmakefile.bak
make -i xmakefile
../config/imake/imake -I./config/cf  -s xmakefile -DTOPDIR=. -DCURDIR=.
In file included from config/cf/cygwin32.cf:114,
                 from config/cf/Imake.tmpl:82,
                 from Imakefile.c:3:
config/cf/cygwin32.rules:41: `#' operator should be followed by a macro
argument
 name
../config/imake/imake: Exit code 33.  Stop.
make: [xmakefile] Error 1 (ignored)
make -f xmakefile -i VerifyOS
xmakefile:5: *** missing separator.  Stop.
make: [World] Error 2 (ignored)
make -f xmakefile -i Makefiles
xmakefile:5: *** missing separator.  Stop.
make: [World] Error 2 (ignored)
make -f xmakefile -i clean BOOTSTRAPSUBDIRS=
xmakefile:5: *** missing separator.  Stop.
make: [World] Error 2 (ignored)
make -f xmakefile -i includes
xmakefile:5: *** missing separator.  Stop.
make: [World] Error 2 (ignored)
make -f xmakefile -i depend
xmakefile:5: *** missing separator.  Stop.
make: [World] Error 2 (ignored)
make -f xmakefile -i -k
xmakefile:5: *** missing separator.  Stop.
make: [World] Error 2 (ignored)

Wed Mar 12 11:45:30 GMT--1:00 1997

Full build of Release 6.1 of the X Window System complete.

Would you have any hint of what's going wrong with my system?
Thanks for you help,

Guillaume.

----------------------------------------------------------------------------
------------------------
Hi!

This patch should replace one on Cygnus web site.

1. Take original X11R6.1 distribution from ftp.x.org (You need files
xc-1.tar.gz and xc-2.tar.gz).
2. Unpack this files to some (current) directory. You will have xc
subdirectory.
3. Uudecode this message to current directory. You have now file
X11R6.1-cygwin.diff.gz
4. Run gzip -cd X11R6.1-cygwin.diff.gz | patch -p0
5. Cd to xc directory and run "make -i World".
6. Go to sleep :-)
7. Run "make install". All X11R6.1 libraries and clients binaries are now
installed in /usr/X11R6.1 directory.

Sergey Okhapkin
Moscow, Russia

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".